Skip to main content
POST
/
v1
/
broadcast_run
/
cancel
curl --request POST \
  --url 'https://hub.suprsend.com/v1/broadcast_run/cancel/' \
  --header 'Authorization: Bearer __your_api_key__' \
  --header 'Content-Type: application/json' \
  --data '{
    "execution_id": "broadcast_xxxx-xxxx-xxxx-xxxx"
  }'
{
  "execution_ids": [
    "broadcast_xxxx-xxxx-xxxx-xxxx"
  ]
}

Authorizations

Authorization
string
header
required

Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.

Body

application/json

Filter parameters to identify broadcast runs to cancel. At least one parameter must be provided. When multiple parameters are passed, they are ANDed together.

execution_id
string

Unique execution identifier of the broadcast run to cancel. You can find this in the broadcast logs on the SuprSend dashboard.

Example:

"broadcast_xxxx-xxxx-xxxx-xxxx"

list_id
string

Identifier of the user list whose broadcast runs should be cancelled.

Example:

"my_user_list"

tenant_id
string

Tenant identifier to filter broadcast runs by tenant.

Example:

"tenant_abc"

idempotency_key
string

Idempotency key that was passed when triggering the broadcast. Use this to cancel a specific broadcast triggered with a known idempotency key.

Example:

"a1b2c3d4-xxxx-xxxx-xxxx-ef0123456789"

Response

200 - OK

execution_ids
string[]

List of broadcast execution IDs that were successfully cancelled. Empty array if no matching broadcast runs were found.

Unique execution identifier of the cancelled broadcast run.

Example:
["broadcast_xxxx-xxxx-xxxx-xxxx"]